Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Nov 2017, 14:49
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
Polo File Manager
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
labbe5

Joined: 13 Nov 2013
Posts: 1021
Location: Canada

PostPosted: Wed 04 Oct 2017, 14:16    Post subject:  Polo File Manager
Subject description: deb file, installer available
 

Polo is a modern, light-weight file manager for Linux with support for multiple panes and tabs; support for archives, and much more.

For a review of major features : https://github.com/teejee2008/polo

An interesting feature is :
Polo Beta 10 will have support for downloading videos from websites.
Simply copy the web page URL and paste it into any folder. Select the desired format from the list and click Download to begin.
Supports more than 1000 websites (powered by youtube-dl).


Many ways to obtain Polo File Manager, including a PPA :

Installation :
PPA and DEB files are available for Ubuntu and Ubuntu-based distributions. Binary installers are available for all Linux distributions.

https://github.com/teejee2008/polo/wiki/Installation

Download the .RUN installer from Releases page and execute it in a terminal window:

# 64-bit
sudo sh ./polo*amd64.run
# 32-bit
sudo sh ./polo*i386.run

Installer can be used on the following distribution types:
Debian based - Debian, Ubuntu, Linux Mint, Elementary OS, etc (supports apt).


https://github.com/teejee2008/polo/releases
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11170
Location: Gatineau (Qc), Canada

PostPosted: Wed 04 Oct 2017, 18:44    Post subject:  

Thanks labbe5.

Sounds interesting. Screen shots about 2/3'rds down this page:
https://github.com/teejee2008/polo

However, some important libs are missing on this DPupStretch7:
libvte-2.91.so.0 (a new lib for a terminal)
libpcre2-8.so.0 (a new lib for perl regular expressions - 8-bit Question )
and
xdg-mime (Puppy has MIME's, but probably not at the location expected by
the polo FM. If someone could provide info on this, TIA.)

May I suggest that people check if they have the above dependencies on
their Pup before trying this new file manager.

Also the Category in the polo-gtk.desktop file will have to be changed from
"Utility" to "FileManager"

BFN.

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
Galbi


Joined: 21 Sep 2011
Posts: 946
Location: Bs.As. - Argentina.

PostPosted: Wed 04 Oct 2017, 20:10    Post subject:  

+1
very interesting, and nice modern looking.

Thanks Labbe5.

_________________
Remember: "pecunia pecuniam parere non potest"
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 950

PostPosted: Thu 05 Oct 2017, 13:39    Post subject: Re: Polo File Manager
Subject description: deb file, installer available
 

labbe5 wrote:

An interesting feature is :
Polo Beta 10 will have support for downloading videos from websites.
Simply copy the web page URL and paste it into any folder. Select the desired format from the list and click Download to begin.
Supports more than 1000 websites (powered by youtube-dl).
if I read correctly, it looks like youtube-dl integration is a donation-ware only plugin feature starting at $ 10, which should buy you the entire plugin collection.
_________________
Fatdog64-710|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
jplt_bis


Joined: 20 Feb 2017
Posts: 30
Location: Planete Terre

PostPosted: Thu 05 Oct 2017, 15:52    Post subject:  

"Dommage" too much libraries missing,not found by the installer !!! in tahrpup 6.0.5 !!!

Quote:

Dependency packages must be installed manually:
> libgee
> libvte
> json-glib
> libxml2
> ffmpeg
> mediainfo
> rsync
> pv
> p7zip
> p7zip-full
> tar
> gzip
> bzip2
> xz-utils
> fish
> qemu-kvm
> qemu-utils
> gvfs
> gvfs-bin
> gvfs-backends

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0362s ][ Queries: 12 (0.0041s) ][ GZIP on ]